%define upstream_name    Test-TCP
%define upstream_version 2.22

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Testing TCP program
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Test/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker) >= 6.640.0
BuildRequires: perl(File::Temp)
BuildRequires: perl(IO::Socket::INET)
BuildRequires: perl(IO::Socket::IP)
BuildRequires: perl(Socket)
BuildRequires: perl(Test::More)
BuildRequires: perl(Test::SharedFork) >= 0.290.0
BuildRequires: perl(Time::HiRes)
BuildArch:  noarch

%description
Test::TCP is test utilities for TCP/IP programs.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%make_install

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml
%{_mandir}/man3/*
%{perl_vendorlib}/*

%changelog
* Sun Feb 16 2020 umeabot <umeabot> 2.220.0-2.mga8
+ Revision: 1535054
- Mageia 8 Mass Rebuild

* Wed Oct 09 2019 tv <tv> 2.220.0-1.mga8
+ Revision: 1450747
- update to 2.22

* Fri Oct 04 2019 tv <tv> 2.210.0-1.mga8
+ Revision: 1449276
- update to 2.21

* Mon Aug 05 2019 tv <tv> 2.200.0-1.mga8
+ Revision: 1427484
- update to 2.20

* Thu Sep 20 2018 umeabot <umeabot> 2.190.0-2.mga7
+ Revision: 1286818
- Mageia 7 Mass Rebuild

* Sun Jul 23 2017 shlomif <shlomif> 2.190.0-1.mga7
+ Revision: 1128974
- update to 2.19

* Sun Jun 19 2016 pterjan <pterjan> 2.160.0-2.mga6
+ Revision: 1034652
- Rebuild for perl 5.22.2

* Fri Apr 15 2016 shlomif <shlomif> 2.160.0-1.mga6
+ Revision: 1002316
- update to 2.16

* Sat Feb 20 2016 umeabot <umeabot> 2.140.0-2.mga6
+ Revision: 971339
- Mageia 6 Mass Rebuild

* Wed Oct 14 2015 sander85 <sander85> 2.140.0-1.mga6
+ Revision: 891569
- update to 2.14

* Fri Jul 24 2015 sander85 <sander85> 2.130.0-1.mga6
+ Revision: 856871
- update to 2.13

* Sat Jul 04 2015 sander85 <sander85> 2.120.0-1.mga6
+ Revision: 850428
- update to 2.12

* Wed Oct 15 2014 umeabot <umeabot> 2.60.0-3.mga5
+ Revision: 742195
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 2.60.0-2.mga5
+ Revision: 686554
- Mageia 5 Mass Rebuild

* Tue Jul 01 2014 sander85 <sander85> 2.60.0-1.mga5
+ Revision: 641849
- update to 2.06

* Tue Jun 24 2014 sander85 <sander85> 2.50.0-1.mga5
+ Revision: 639259
- update to 2.05

* Fri Feb 07 2014 sander85 <sander85> 2.20.0-1.mga5
+ Revision: 585287
- update to 2.02

* Mon Oct 21 2013 umeabot <umeabot> 2.10.0-2.mga4
+ Revision: 537465
- Mageia 4 Mass Rebuild

* Thu Sep 26 2013 sander85 <sander85> 2.10.0-1.mga4
+ Revision: 487072
- update to 2.01

* Wed Jun 19 2013 shlomif <shlomif> 2.0.0-1.mga4
+ Revision: 445068
- New version 2.0

* Sun Jan 13 2013 umeabot <umeabot> 1.180.0-2.mga3
+ Revision: 373820
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Nov 07 2012 jquelin <jquelin> 1.180.0-1.mga3
+ Revision: 315881
- update to 1.18

* Fri Aug 31 2012 kharec <kharec> 1.170.0-1.mga3
+ Revision: 286548
- update to 1.17

* Wed Jul 04 2012 jquelin <jquelin> 1.160.0-1.mga3
+ Revision: 267513
- update to 1.16

* Thu Feb 23 2012 jquelin <jquelin> 1.150.0-1.mga2
+ Revision: 213233
- update to 1.15

* Thu Dec 01 2011 kharec <kharec> 1.140.0-1.mga2
+ Revision: 174782
- update to 1.14

* Mon Jun 20 2011 jquelin <jquelin> 1.130.0-1.mga2
+ Revision: 110598
- imported package perl-Test-TCP


* Mon Jun 20 2011 cpan2dist 1.13-1mga
- initial mageia release, generated with cpan2dist
